#include <bits/stdc++.h>
using namespace std;

int n, br, brp, brn, brpar;
int niz[200005];
string s;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin >> n;
    for(int i = 1; i <= n; i++){
        cin >> niz[i];
        if(abs(niz[i]) % 2 == 0) brpar++;
        if(niz[i] > 0) brp++;
        else brn++;
    }
    if(brpar == n){
        if(brp > brn){
            cout << n << '\n';
            for(int i = 1; i < brp; i++){
                cout << "12";
            }
            cout << "1" << '\n';
        }
        else if(brn > brp){
            cout << n << '\n';
            for(int i = 1; i < brn; i++){
                cout << "21";
            }
            cout << "2" << '\n';
        }
        else{
            cout << n << '\n';
            for(int i = 1; i <= brp; i++){
                cout << "12";
            }
            cout << '\n';
        }
    }
    else if(brp == n){
        cout << 1 << '\n';
    }
    else if(brn == n){
        cout << n << '\n';
        for(int i = 1; i < n; i++){
            cout << "23";
        }
        cout << "2" << '\n';
    }




    return 0;
}